<?php
/**
 * Plugin Name: WooCommerce Price Based on Country Pro
 * Plugin URI: https://www.pricebasedcountry.com/
 * Description: Extends Price Based on Country for WooCommerce with professionals features.
 * Version: 3.4.7
 * Author: Oscar Gare
 * Author URI: https://www.pricebasedcountry.com/
 * Domain Path: /languages/
 * Text Domain: wc-price-based-country-pro
 * WC requires at least: 4.0
 * WC tested up to: 8.5
 * License: GPLv2
 *
 * @package WCPBC
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

// Define WCPBC_PRO_PLUGIN_FILE.
if ( ! defined( 'WCPBC_PRO_PLUGIN_FILE' ) ) {
	define( 'WCPBC_PRO_PLUGIN_FILE', __FILE__ );
}

/**
 * Declare plugin compatible with the WooCommerce HPOS feature.
 */
add_action(
	'before_woocommerce_init',
	function() {
		if ( class_exists( '\Automattic\WooCommerce\Utilities\FeaturesUtil' ) ) {
			\Automattic\WooCommerce\Utilities\FeaturesUtil::declare_compatibility( 'custom_order_tables', __FILE__, true );
		}
	}
);

// Include the main WooCommerce class.
if ( ! class_exists( 'WC_Product_Price_Based_Country_Pro' ) ) {
	include_once dirname( __FILE__ ) . '/includes/class-wc-product-price-based-country-pro.php';
	WC_Product_Price_Based_Country_Pro::init();
}
